@base <https://purl.org/coscine/ap/qudt/quantitykind/DynamicViscosity/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/DynamicViscosity/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Dynamische Viskosität sind."@de,
    "Profile for all units that are a/an Dynamic Viscosity."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Dynamische Viskosität"@de,
    "Unit: Dynamic Viscosity"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:CentiPOISE unit:KiloGM-PER-M-HR unit:KiloGM-PER-M-SEC unit:LB-PER-FT-HR unit:LB-PER-FT-SEC unit:LB_F-SEC-PER-FT2 unit:LB_F-SEC-PER-IN2 unit:MicroPOISE unit:MilliPA-SEC unit:PA-SEC unit:POISE unit:SLUG-PER-FT-SEC ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:CentiPOISE rdfs:label "Centipoise"@en .
unit:KiloGM-PER-M-HR rdfs:label "Kilograms Per Metre Per Hour"@en .
unit:KiloGM-PER-M-SEC rdfs:label "Kilograms Per Metre Per Second"@en .
unit:LB-PER-FT-HR rdfs:label "Pound Per Foot Hour"@en .
unit:LB-PER-FT-SEC rdfs:label "Pound Per Foot Second"@en .
unit:LB_F-SEC-PER-FT2 rdfs:label "Pound Force Second Per Square Foot"@en .
unit:LB_F-SEC-PER-IN2 rdfs:label "Pound Force Second Per Square Inch"@en .
unit:MicroPOISE rdfs:label "Micropoise"@en .
unit:MilliPA-SEC rdfs:label "Millipascal Second"@en .
unit:PA-SEC rdfs:label "Pascalsekunde"@de, "Pascal Per Secondo"@it, "Pascal Saat"@ms, "Pascal Saniye"@tr, "Pascal Second"@en, "Pascal Segundo"@es, "Pascal Sekunda"@cs, "Pascal Sekunda"@sl, "Pascal-Seconde"@fr, "Pascal-Secundă"@ro, "Pascal-Segundo"@pt, "Paskalosekunda"@pl, "Паскаль-Секунда"@ru, "باسكال ثانية"@ar, "نیوتون ثانیه"@fa, "पास्कल सैकण्ड"@hi, "パスカル秒"@ja, "帕斯卡秒"@zh .
unit:POISE rdfs:label "Poise"@en .
unit:SLUG-PER-FT-SEC rdfs:label "Slug Per Foot Second"@en .
